X-Files Game Using SheepShaver

guzhogi

macrumors 68030
Original poster
Aug 31, 2003
2,993
868
Wherever my feet take me…
Recently discovered SheepShaver, and am trying to play the X-Files game made in 1998 (Yeah, I'm old). However, whenever I start the game, I just an error "This application can't be used…" or something. Can anyone help?

I'm running the latest version of SheepShaver, with Mac OS 8.1 & an Old World ROM.
 

MacsRgr8

macrumors 604
Sep 8, 2002
7,834
1,130
The Netherlands
BTW... I am oldish too 😁... and I have been strolling down memory lane as-well.
I have been playing around with Sheepshaver, Basiliskll 2, mini vMac, and QEMU to get all sorts of old Macintosh operating systems working.

Got running:
mini vMac: System 1, 6
Basiliskll 2: System 7.5.3
Sheepshaver: Mac OS 8, 8.5, 9.0.4
QEMU: OSXServer 1.2, Mac OS X DP 2 & 3, Mac OS X 10.0, 10.1 & 10.2

So cool!

But, I also ran into Porting Kit.
This makes running Windows apps and games on your modern Mac very easy! Buy a classic DRM-free PC game over at Gog, and install it using Porting Kit and classic gaming titles work on your Mac, like:
• Wolfenstein 3D
• Unreal
• Medal of Honor Warchest

Super, super fun!
 

guzhogi

macrumors 68030
Original poster
Aug 31, 2003
2,993
868
Wherever my feet take me…
A while ago, I found "Dust: A Tale of the Wired West" using DOSBox. A bit glitchy, but still kind of fun. Just sad that I can play the whole game in what seems like only an hour. That's why I prefer open-ended games like SimCity, Civilization, and just got back into playing Spore (though not nearly as old as the others). Enough gameplay variations to last me a long time.
 

guzhogi

macrumors 68030
Original poster
Aug 31, 2003
2,993
868
Wherever my feet take me…
Reading this: X-Files game at Macintosh Garden it should work.
Got QuickTime 4 installed?
Hmm… I installed Quicktime 4, and it didn't want to work. I continued to get the "This application can't be used…" error. :( Might play around with it this weekend. Any other ideas? I think I remember a possible extension conflict when playing 20 years ago, but can't remember for sure.